package com.xjrsoft.module.teacher.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface FaceImportMapper {
    String GetTeacherUserIdById(@Param("id") Long id);
    String GetTeacherHikvisionImgById(@Param("id") Long id);

    String GetStudentUserIdById(@Param("id") Long id);
    String GetStudentHikvisionImgById(@Param("id") Long id);

    String GetHikvisonPersonId(@Param("id") String id);

    String IsStudentTypeByPersonId(@Param("id") Long id);
    Long GetTeacherIdByPersonId(@Param("id") Long id);
    Long GetClassIdByPersonId(@Param("id") Long id);

    List<String> GetStudentUrlList();
    List<String> GetTeacherUrlList();

    List<Long> GetReservationSchoolIdList();
    Long GetReservationSchoolId(@Param("id") String id);

    String GetCarMessageApplyIdByCarNumber(@Param("id") String id);
    List<String> GetVehicleIdList();
}

